=== modified file 'lib/canonical/launchpad/security.py'
--- lib/canonical/launchpad/security.py	2011-04-19 15:06:30 +0000
+++ lib/canonical/launchpad/security.py	2011-04-19 23:46:22 +0000
@@ -950,7 +950,7 @@
         return user.isOwner(self.obj) or user.in_admin
 
 
-class EditDistributionSourcePackageByDistroOwnersOrAdmins(AuthorizationBase):
+class BugSuperviseDistributionSourcePackage(AuthorizationBase):
     """The owner of a distribution should be able to edit its source
     package information"""
     permission = 'launchpad.BugSupervisor'
@@ -961,6 +961,15 @@
                 user.inTeam(self.obj.distribution.owner) or
                 user.in_admin)
 
+class EditDistributionSourcePackage(AuthorizationBase):
+    """DistributionSourcePackage is not editable.
+
+    But EditStructuralSubscription needs launchpad.Edit defined on all
+    targets.
+    """
+    permission = 'launchpad.Edit'
+    usedfor = IDistributionSourcePackage
+
 
 class EditProductOfficialBugTagsByOwnerOrBugSupervisorOrAdmins(
     AuthorizationBase):

